
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>诠释 Linux 中“一切都是文件”概念和相应的文件类型 / iVAN</title>

    <meta name="description" content="诠释 Linux 中“一切都是文件”概念和相应的文件类型 Linux 系统中一切都是文件并有相应的文件类型 在 Unix 和它衍生的比如 Linux 系统中,一切都可以看做文件.虽然它仅仅只是一个泛泛的概念,但这是事实.如果有不是文件的,那它一定是正运行的进程. 要理解这点,可以举个例子,您的根目录(/)的空间充斥着不同类型的 Linux 文件.当您创建一个文件或向系统传输一个文件时,它会在物理磁盘上占据的一些空间,而且是一个特定的格式(文件类型). 虽然 Linux 系统中文件和目录没有什么不同,但目录还有一个重要的功能,那就是有结构性的分组存储其它">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">诠释 Linux 中“一切都是文件”概念和相应的文件类型</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Linux 系统中一切都是文件并有相应的文件类型</p>
<p>在 Unix 和它衍生的比如 Linux 系统中，一切都可以看做文件。虽然它仅仅只是一个泛泛的概念，但这是事实。如果有不是文件的，那它一定是正运行的进程。</p>
<p>要理解这点，可以举个例子，您的根目录（/）的空间充斥着不同类型的 Linux 文件。当您创建一个文件或向系统传输一个文件时，它会在物理磁盘上占据的一些空间，而且是一个特定的格式（文件类型）。</p>
<p>虽然 Linux 系统中文件和目录没有什么不同，但目录还有一个重要的功能，那就是有结构性的分组存储其它文件，以方便查找访问。所有的硬件组件都表示为文件，系统使用这些文件来与硬件通信。</p>
<p>这些思想是对 Linux 中的各种事物的重要阐述，因此像文档、目录（Mac OS X 和 Windows 系统下称之为文件夹）、键盘、监视器、硬盘、可移动媒体设备、打印机、调制解调器、虚拟终端，还有进程间通信（IPC）和网络通信等输入/输出资源都是定义在文件系统空间下的字节流。</p>
<p>一切都可看作是文件，其最显著的好处是对于上面所列出的输入/输出资源，只需要相同的一套 Linux 工具、实用程序和 API。</p>
<p>虽然在 Linux 中一切都可看作是文件，但也有一些特殊的文件，比如<a href="http://www.tecmint.com/manage-file-types-and-set-system-time-in-linux/" rel="external nofollow noreferrer">套接字和命令管道</a>。</p>
<h3>Linux 文件类型的不同之处？</h3>
<p>Linux 系统中有三种基本的文件类型：</p>
<ul>
<li>普通/常规文件</li>
<li>特殊文件</li>
<li>目录文件</li>
</ul>
<h4>普通/常规文件</h4>
<p>它们是包含文本、数据、程序指令等数据的文件，其在 Linux 系统中是最常见的一种。包括如下：</p>
<ul>
<li>可读文件</li>
<li>二进制文件</li>
<li>图像文件</li>
<li>压缩文件等等</li>
</ul>
<h4>特殊文件</h4>
<p>特殊文件包括以下几种：</p>
<p>块文件block：设备文件，对访问系统硬件部件提供了缓存接口。它们提供了一种通过文件系统与设备驱动通信的方法。</p>
<p>有关于块文件一个重要的性能就是它们能在指定时间内传输大块的数据和信息。</p>
<p>列出某目录下的块文件：</p>
<pre>
</pre>
<ol>
<li><code># ls -l /dev | grep "^b"</code></li>
</ol>
<p>输出例子</p>
<pre>
</pre>
<ol>
<li><code>brw-rw----  1 root disk        7,   0 May 18 10:26 loop0</code></li>
<li><code>brw-rw----  1 root disk        7,   1 May 18 10:26 loop1</code></li>
<li><code>brw-rw----  1 root disk        7,   2 May 18 10:26 loop2</code></li>
<li><code>brw-rw----  1 root disk        7,   3 May 18 10:26 loop3</code></li>
<li><code>brw-rw----  1 root disk        7,   4 May 18 10:26 loop4</code></li>
<li><code>brw-rw----  1 root disk        7,   5 May 18 10:26 loop5</code></li>
<li><code>brw-rw----  1 root disk        7,   6 May 18 10:26 loop6</code></li>
<li><code>brw-rw----  1 root disk        7,   7 May 18 10:26 loop7</code></li>
<li><code>brw-rw----  1 root disk        1,   0 May 18 10:26 ram0</code></li>
<li><code>brw-rw----  1 root disk        1,   1 May 18 10:26 ram1</code></li>
<li><code>brw-rw----  1 root disk        1,  10 May 18 10:26 ram10</code></li>
<li><code>brw-rw----  1 root disk        1,  11 May 18 10:26 ram11</code></li>
<li><code>brw-rw----  1 root disk        1,  12 May 18 10:26 ram12</code></li>
<li><code>brw-rw----  1 root disk        1,  13 May 18 10:26 ram13</code></li>
<li><code>brw-rw----  1 root disk        1,  14 May 18 10:26 ram14</code></li>
<li><code>brw-rw----  1 root disk        1,  15 May 18 10:26 ram15</code></li>
<li><code>brw-rw----  1 root disk        1,   2 May 18 10:26 ram2</code></li>
<li><code>brw-rw----  1 root disk        1,   3 May 18 10:26 ram3</code></li>
<li><code>brw-rw----  1 root disk        1,   4 May 18 10:26 ram4</code></li>
<li><code>brw-rw----  1 root disk        1,   5 May 18 10:26 ram5</code></li>
<li><code>...</code></li>
</ol>
<p>字符文件Character： 也是设备文件，对访问系统硬件组件提供了非缓冲串行接口。它们与设备的通信工作方式是一次只传输一个字符的数据。</p>
<p>列出某目录下的字符文件：</p>
<pre>
</pre>
<ol>
<li><code># ls -l /dev | grep "^c"</code></li>
</ol>
<p>输出例子</p>
<pre>
</pre>
<ol>
<li><code>crw-------  1 root root       10, 235 May 18 15:54 autofs</code></li>
<li><code>crw-------  1 root root       10, 234 May 18 15:54 btrfs-control</code></li>
<li><code>crw-------  1 root root        5,   1 May 18 10:26 console</code></li>
<li><code>crw-------  1 root root       10,  60 May 18 10:26 cpu_dma_latency</code></li>
<li><code>crw-------  1 root root       10, 203 May 18 15:54 cuse</code></li>
<li><code>crw-------  1 root root       10,  61 May 18 10:26 ecryptfs</code></li>
<li><code>crw-rw----  1 root video      29,   0 May 18 10:26 fb0</code></li>
<li><code>crw-rw-rw-  1 root root        1,   7 May 18 10:26 full</code></li>
<li><code>crw-rw-rw-  1 root root       10, 229 May 18 10:26 fuse</code></li>
<li><code>crw-------  1 root root      251,   0 May 18 10:27 hidraw0</code></li>
<li><code>crw-------  1 root root       10, 228 May 18 10:26 hpet</code></li>
<li><code>crw-r--r--  1 root root        1,  11 May 18 10:26 kmsg</code></li>
<li><code>crw-rw----+ 1 root root       10, 232 May 18 10:26 kvm</code></li>
<li><code>crw-------  1 root root       10, 237 May 18 10:26 loop-control</code></li>
<li><code>crw-------  1 root root       10, 227 May 18 10:26 mcelog</code></li>
<li><code>crw-------  1 root root      249,   0 May 18 10:27 media0</code></li>
<li><code>crw-------  1 root root      250,   0 May 18 10:26 mei0</code></li>
<li><code>crw-r-----  1 root kmem        1,   1 May 18 10:26 mem</code></li>
<li><code>crw-------  1 root root       10,  57 May 18 10:26 memory_bandwidth</code></li>
<li><code>crw-------  1 root root       10,  59 May 18 10:26 network_latency</code></li>
<li><code>crw-------  1 root root       10,  58 May 18 10:26 network_throughput</code></li>
<li><code>crw-rw-rw-  1 root root        1,   3 May 18 10:26 null</code></li>
<li><code>crw-r-----  1 root kmem        1,   4 May 18 10:26 port</code></li>
<li><code>crw-------  1 root root      108,   0 May 18 10:26 ppp</code></li>
<li><code>crw-------  1 root root       10,   1 May 18 10:26 psaux</code></li>
<li><code>crw-rw-rw-  1 root tty         5,   2 May 18 17:40 ptmx</code></li>
<li><code>crw-rw-rw-  1 root root        1,   8 May 18 10:26 random</code></li>
</ol>
<p>符号链接文件Symbolic link ： 符号链接是指向系统上其他文件的引用。因此，符号链接文件是指向其它文件的文件，那些文件可以是目录或常规文件。</p>
<p>列出某目录下的符号链接文件：</p>
<pre>
</pre>
<ol>
<li><code># ls -l /dev/ | grep "^l"</code></li>
</ol>
<p>输出例子</p>
<pre>
</pre>
<ol>
<li><code>lrwxrwxrwx  1 root root             3 May 18 10:26 cdrom -&gt; sr0</code></li>
<li><code>lrwxrwxrwx  1 root root            11 May 18 15:54 core -&gt; /proc/kcore</code></li>
<li><code>lrwxrwxrwx  1 root root            13 May 18 15:54 fd -&gt; /proc/self/fd</code></li>
<li><code>lrwxrwxrwx  1 root root             4 May 18 10:26 rtc -&gt; rtc0</code></li>
<li><code>lrwxrwxrwx  1 root root             8 May 18 10:26 shm -&gt; /run/shm</code></li>
<li><code>lrwxrwxrwx  1 root root            15 May 18 15:54 stderr -&gt; /proc/self/fd/2</code></li>
<li><code>lrwxrwxrwx  1 root root            15 May 18 15:54 stdin -&gt; /proc/self/fd/0</code></li>
<li><code>lrwxrwxrwx  1 root root            15 May 18 15:54 stdout -&gt; /proc/self/fd/1</code></li>
</ol>
<p>Linux 中使用 <code>ln</code> 工具就可以创建一个符号链接文件，如下所示：</p>
<pre>
</pre>
<ol>
<li><code># touch file1.txt</code></li>
<li><code># ln -s file1.txt /home/tecmint/file1.txt  [创建符号链接文件]</code></li>
<li><code># ls -l /home/tecmint/ | grep "^l"         [列出符号链接文件]</code></li>
</ol>
<p>在上面的例子中，首先我们在 <code>/tmp</code> 目录创建了一个名叫 <code>file1.txt</code> 的文件，然后创建符号链接文件，将<code>/home/tecmint/file1.txt</code> 指向 <code>/tmp/file1.txt</code> 文件。</p>
<p>管道Pipe和命令管道Named pipe : 将一个进程的输出连接到另一个进程的输入，从而允许进程间通信（IPC）的文件。</p>
<p>命名管道实际上是一个文件，用来使两个进程彼此通信，就像一个 Linux 管道一样。</p>
<p>列出某目录下的管道文件：</p>
<pre>
</pre>
<ol>
<li><code># ls -l | grep "^p"</code></li>
</ol>
<p>输出例子：</p>
<pre>
</pre>
<ol>
<li><code>prw-rw-r-- 1 tecmint tecmint    0 May 18 17:47 pipe1</code></li>
<li><code>prw-rw-r-- 1 tecmint tecmint    0 May 18 17:47 pipe2</code></li>
<li><code>prw-rw-r-- 1 tecmint tecmint    0 May 18 17:47 pipe3</code></li>
<li><code>prw-rw-r-- 1 tecmint tecmint    0 May 18 17:47 pipe4</code></li>
<li><code>prw-rw-r-- 1 tecmint tecmint    0 May 18 17:47 pipe5</code></li>
</ol>
<p>在 Linux 中可以使用 <code>mkfifo</code> 工具来创建一个命名管道，如下所示：</p>
<pre>
</pre>
<ol>
<li><code># mkfifo pipe1</code></li>
<li><code># echo "This is named pipe1" &gt; pipe1</code></li>
</ol>
<p>在上的例子中，我们创建了一个名叫 <code>pipe1</code> 的命名管道，然后使用 <a href="http://www.tecmint.com/echo-command-in-linux/" rel="external nofollow noreferrer">echo 命令</a> 加入一些数据，这之后在处理输入的数据时 shell 就变成非交互式的了（LCTT 译注：被管道占住了）。</p>
<p>然后，我们打开另外一个 shell 终端，运行另外的命令来打印出刚加入管道的数据。</p>
<pre>
</pre>
<ol>
<li><code># while read line ;do echo "This was passed-'$line' "; done&lt;pipe1</code></li>
</ol>
<p>套接字文件socket ： 提供进程间通信方法的文件，它们能在运行在不同环境中的进程之间传输数据和信息。</p>
<p>这就是说，套接字可以为运行网络上不同机器中的进程提供数据和信息传输。</p>
<p>一个 socket 运行的例子就是网页浏览器连接到网站服务器的过程。</p>
<pre>
</pre>
<ol>
<li><code># ls -l /dev/ | grep "^s"</code></li>
</ol>
<p>输出例子：</p>
<pre>
</pre>
<ol>
<li><code>srw-rw-rw-  1 root root             0 May 18 10:26 log</code></li>
</ol>
<p>下面是使用 C 语言编写的调用 <code>socket()</code> 系统调用的例子。</p>
<pre>
</pre>
<ol>
<li><code>int socket_desc= socket(AF_INET, SOCK_STREAM, 0 );</code></li>
</ol>
<p>上例中：</p>
<ul>
<li><code>AF_INET</code> 指的是地址域（IPv4）</li>
<li><code>SOCK_STREAM</code> 指的是类型（默认使用 TCP 协议连接）</li>
<li><code>0</code> 指协议（IP 协议）</li>
</ul>
<p>使用 <code>socket_desc</code> 来引用管道文件，它跟文件描述符是一样的，然后再使用系统函数 <code>read()</code> 和<code>write()</code> 来分别从这个管道文件读写数据。</p>
<h4>目录文件</h4>
<p>这是一些特殊的文件，既可以包含普通文件又可包含其它的特殊文件，它们在 Linux 文件系统中是以根（/）目录为起点分层组织存在的。</p>
<p>列出某目录下的目录文件：</p>
<pre>
</pre>
<ol>
<li><code># ls -l / | grep "^d" </code></li>
</ol>
<p>输出例子：</p>
<pre>
</pre>
<ol>
<li><code>drwxr-xr-x   2 root root  4096 May  5 15:49 bin</code></li>
<li><code>drwxr-xr-x   4 root root  4096 May  5 15:58 boot</code></li>
<li><code>drwxr-xr-x   2 root root  4096 Apr 11  2015 cdrom</code></li>
<li><code>drwxr-xr-x  17 root root  4400 May 18 10:27 dev</code></li>
<li><code>drwxr-xr-x 168 root root 12288 May 18 10:28 etc</code></li>
<li><code>drwxr-xr-x   3 root root  4096 Apr 11  2015 home</code></li>
<li><code>drwxr-xr-x  25 root root  4096 May  5 15:44 lib</code></li>
<li><code>drwxr-xr-x   2 root root  4096 May  5 15:44 lib64</code></li>
<li><code>drwx------   2 root root 16384 Apr 11  2015 lost+found</code></li>
<li><code>drwxr-xr-x   3 root root  4096 Apr 10  2015 media</code></li>
<li><code>drwxr-xr-x   3 root root  4096 Feb 23 17:54 mnt</code></li>
<li><code>drwxr-xr-x  16 root root  4096 Apr 30 16:01 opt</code></li>
<li><code>dr-xr-xr-x 223 root root     0 May 18 15:54 proc</code></li>
<li><code>drwx------  19 root root  4096 Apr  9 11:12 root</code></li>
<li><code>drwxr-xr-x  27 root root   920 May 18 10:54 run</code></li>
<li><code>drwxr-xr-x   2 root root 12288 May  5 15:57 sbin</code></li>
<li><code>drwxr-xr-x   2 root root  4096 Dec  1  2014 srv</code></li>
<li><code>dr-xr-xr-x  13 root root     0 May 18 15:54 sys</code></li>
<li><code>drwxrwxrwt  13 root root  4096 May 18 17:55 tmp</code></li>
<li><code>drwxr-xr-x  11 root root  4096 Mar 31 16:00 usr</code></li>
<li><code>drwxr-xr-x  12 root root  4096 Nov 12  2015 var</code></li>
</ol>
<p>您可以使用 mkdir 命令来创建一个目录。</p>
<pre>
</pre>
<ol>
<li><code># mkdir -m 1666 tecmint.com</code></li>
<li><code># mkdir -m 1666 news.tecmint.com</code></li>
<li><code># mkdir -m 1775 linuxsay.com</code></li>
</ol>
<h3>结论</h3>
<p>现在应该对为什么 Linux 系统中一切都是文件以及 Linux 系统中可以存在哪些类型的文件有一个清楚的认识了。</p>
<p>原文发布时间为：2016-08-10</p>
<p>本文来自合作伙伴“Linux中国”</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 06:01:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/socket/" title="socket">socket</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>诠释 Linux 中“一切都是文件”概念和相应的文件类型的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEAo4z.html" rel="bookmark">Linux中如何删除名为-a及&bsol;a的文件及特殊文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux中如何删除名为-a及\a的文件及特殊文件? a 删除名为 -a 的文件 1 rm ./-a2 rm -- -a,--告诉rm这是一个选项,具体参见getopt3 ls -i 列出inum,然后用find . -inum inum_of_thisfile -exec rm '{}' \; b 删除名为 \a 的文件 rm \\a c 删除名字带的 / 和' \0 ' 文件 这些字符是正常文件系统所不允许的字符,但可能在文件名中产生,如unix下的nfs文件系统在Mac系统上使用 1 把n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQaBKQb.html" rel="bookmark">linux中如何用命令行運行一個so文件&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux中如何用命令行運行一個so文件? 解决方案 so文件是资源库文件,类似于java里的jar包,提供给你使用的资源,SO文件不能单独运行.解决方案二:.so? 冒死不能哎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QOkDp.html" rel="bookmark">如何在Linux中列出通过RPM或者DEB包安装的文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你是否想要了解安装包中各个文件在 Linux 系统中安装(位于)的位置?我们将在本文介绍如何列出文件的来源,或存在于某个特定包或者一组软件包中的文件. 这篇文章可以帮你轻松地找到重要的软件包文件,如配置文件.帮助文档等.我们来看看找出文件在哪个包中或者从哪个包中安装的几个方法: 如何列出 Linux 中全部已安装软件包的文件 你可以使用 repoquery 命令,它是 yum-utils 的一部分,用来列出给定的软件包在 CentOS/RHEL 系统上安装的文件. 要安装并使用 yum-util			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6d8wz.html" rel="bookmark">如何在 Linux 中列出通过 RPM 或者 DEB 包安装的文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你是否想要了解安装包中各个文件在 Linux 系统中安装(位于)的位置?我们将在本文介绍如何列出文件的来源,或存在于某个特定包或者一组软件包中的文件. 这篇文章可以帮你轻松地找到重要的软件包文件,如配置文件.帮助文档等.我们来看看找出文件在哪个包中或者从哪个包中安装的几个方法: 如何列出 Linux 中全部已安装软件包的文件 你可以使用 repoquery 命令,它是 yum-utils 的一部分,用来列出给定的软件包在 CentOS/RHEL 系统上安装的文件. 要安装并使用 yum-util			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyerekM.html" rel="bookmark">如何在Linux中找出最近或今天被修改的文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本文中,我们将解释两个简单的命令行小技巧,它可以帮你只列出所有的今天的文件. Linux 用户在命令行上遇到的常见问题之一是定位具有特定名称的文件,如果你知道确定的文件名则可能会容易得多. 不过,假设你忘记了白天早些时候创建的文件的名称(在你包含了数百个文件的 home 文件夹中),但现在你有急用. 下面用不同的方式只列出所有你今天创建或修改的文件(直接或间接). 1. 使用 ls 命令,只列出你的 home 文件夹中今天的文件. # ls -al --time-style=+%D | gre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWdOGGp.html" rel="bookmark">如何在 Linux 中找出最近或今天被修改的文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本文中,我们将解释两个简单的命令行小技巧,它可以帮你只列出所有的今天的文件. Linux 用户在命令行上遇到的常见问题之一是定位具有特定名称的文件,如果你知道确定的文件名则可能会容易得多. 不过,假设你忘记了白天早些时候创建的文件的名称(在你包含了数百个文件的 home 文件夹中),但现在你有急用. 下面用不同的方式只列出所有你今天创建或修改的文件(直接或间接). 1. 使用 ls 命令,只列出你的 home 文件夹中今天的文件. # ls -al --time-style=+%D | gre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boJXJBz.html" rel="bookmark">linux中find与rm实现查找并删除目录或文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				删除指定目录下指定文件 find 要查找的目录名 -name .svn |xargs rm -rf 删除指定名称的文件或文件夹: find -type d | grep .svn$ | xargs rm -r 分析: find -type d | grep .svn$ 通过此命令查找文件夹 过滤正则表达式中的目录 | xargs rm -r 执行删除指令 删除目录下所有exe文件 find  .  -name  '*.exe'  -type  f  -print  -exec  rm  -rf 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvv1VVM.html" rel="bookmark">zt&colon;理解Linux中进程，线程等概念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.linuxeden.com/doc/24482.html1 基本概念 1.1. 进程和线程可执行文件由指令和数据组成.进程就是在计算机上运行的可执行文件针对特定的输入数据的一个实例,同一个可执行程序文件如果操作不同的输入数据就是两个不同的进程.线 程是进程的一条执行路径,它包含独立的堆栈和CPU寄存器状态,每个线程共享其所附属的进程的所有的资源,包括打开的文件.页表(因此也就共享整个用户态 地址空间).信号标识及动态分配的内存等等.线程和进程的关系是:线程是属于进程的,线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdE3exz.html" rel="bookmark">【Linux】嵌入式开发，在Linux中使用C语言对标准I&sol;O库文件的替换Copy</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,我专业是是电子工程专业,C语言每年都在用,可实际上,我大多数时间都用在网站开发上,没多少时间用于本专业,以及了解C语言更多的基础,所以,我C语言很差,真的很差. 就本例,我在懵懵懂懂下,竟然错了差不多200+次的代码修改,操作近一千五次!仅仅47行的代码(包含注释!)! 如此,对于别人来说,真是感到不屑,不过,对于本人有着非常重要的心得体会! 题目要求:从源文件字符的中间起,5位开始显示!(我这里做了2位!) 案例是书本上的: #define BUFFER_SIZE 1024 /* 每次读			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd7r4M.html" rel="bookmark" class="title">U盘文件消失却占内存的解决方法</a>
					<div>
						  方法一.查看U盘属性,如果已用空间不为0,那么可以使用以下方法.在你的U盘里面直接新建一个txt文档在里面输入attrib -s -h /s /d保存.然后打开我的电脑-&gt;工具-&gt;文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMydwEb.html" rel="bookmark" class="title">y轴-RRDTool （JRobin）绘图时指定Y轴阀值</a>
					<div>
						问题描述 RRDTool (JRobin)绘图时指定Y轴阀值 比如,设定Y轴的阀值,小于这个值的时候画出的area是绿色,大于这个值画出的area是红色,谢谢					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnOAKz.html" rel="bookmark" class="title">ControlJS优化阿里妈妈广告提高页面脚本的加载速度</a>
					<div>
						文章简介:用ControlJS优化阿里妈妈广告. 长时间以来阿里妈妈的广告载入策略一直存在些问题,很多页面也因为阻塞式的广告载入而被拉低性能,影响用户体验.毕竟阿里妈妈广告的渲染依赖于诸多嵌套的doc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqjX2p.html" rel="bookmark" class="title">Servlet和JSP知识复习（2）Servlet基础</a>
					<div>
						js|servlet Servlet和JSP知识复习(2)Servlet基础 ·生成HTML的servlet    ·告知浏览器接下来发送的时HTML        - response.setCon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxG1Ob.html" rel="bookmark" class="title">浅谈网站降权后修改标题45天的恢复历程</a>
					<div>
						导致网站降权的原因有很多,但是要寻找网站降权的原因并且让它恢复,是一件比较困难的事,前一个多月自己的网站也经历了百度的降权风波,原本网站快照都是及时更新,关键词排名也不错,虽然是一个一年左右的站,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvwL5p.html" rel="bookmark" class="title">TP-Link 150M 迷你型无线路由器</a>
					<div>
						前面 gOxiA 入手了一台8口千兆交换,主要用于外出搭建临时的高速数据交换网,这次又入手了一台 TP-Link 150M 迷你型无线路由器,型号是 TL-WR700N!这款迷你无线路由器非常的小巧, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaRV8z.html" rel="bookmark" class="title">怎么把PDF文件转换成PPT</a>
					<div>
						怎么把PDF文件转换成PPT?PDF文件常常出现在我们日常工作和学习中,很多人应该都发现网上下载的资料现在越来越多是以PDF格式存在的,如果这些资料只供我们阅读是非常方便的,但是多数情况下是需要利用里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw6Nkp.html" rel="bookmark" class="title">百度云收藏怎么用？</a>
					<div>
						  1.安装: 安装完成后就会出现百度云收藏红心图标 2.云收藏·图片篇: 小编想要收藏页面上的图片,那就点击爱心,然后选择图片 勾选需要收藏的图片 当提示收藏成功就表示图片已经被存储在你的百度网盘里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa3vRz.html" rel="bookmark" class="title">电脑怎么创建宽带连接</a>
					<div>
						  1.将鼠标放在桌面右下角的网络图标上,点击右键----左键点击&quot;打开网络和共享中心&quot;进入. 2.点击&quot;设置新的连接或网络&quot;进入. 3.选中&quot;连接到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJVg2p.html" rel="bookmark" class="title">关于UINavigationController配置导航条</a>
					<div>
						直接修改导航条的返回按钮为leftBarButtonItem会使系统的右滑返回手势失效,因此不能这么做 看看下面是怎么做的 // 设置Nav的背景色和title色 UINavigationBar *n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKko7Eb.html" rel="bookmark" class="title">［译］假如 Mac 上也有 iOS 应用？</a>
					<div>
						本文讲的是［译］假如 Mac 上也有 iOS 应用?, 假如 Mac 上也有 iOS 应用,世界将会怎样? 没有人专门为 Mac 开发应用,Slack 有专门的 iOS 版本,放在 iPad 上的体验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZW3Nb.html" rel="bookmark" class="title">php&plus;ajax实现无刷新动态加载数据技术&lowbar;php实例</a>
					<div>
						我们浏览有些网页的时候,当拉动浏览器的滚动条时到页底时,页面会继续自动加载更多内容供用户浏览.这种技术我暂且称它为滚屏加载技术.我们发现很多网站用到这种技术,必应图片搜索.新浪微博.QQ空间等将该技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxDXvb.html" rel="bookmark" class="title">芒果移动广告内部人士透露，其已与阿里云达成深度合作</a>
					<div>
						摘要: 芒果移动广告内部人士今日向网易科技透露,其已与阿里云达成深度合作,共同为开发者提供App开发一站式解决方案,开发者平台业已上线,正式消息将于本周五发布. 据介绍,阿里云 芒果移动广告内部人士今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nddaz.html" rel="bookmark" class="title">MySQL-Proxy实现MySQL读写分离提高并发负载</a>
					<div>
						工作拓扑: MySQL Proxy有一项强大功能是实现&quot;读写分离&quot;,基本原理是让主数据库处理写方面事务,让从库处理SELECT查询. Amoeba for MySQL是一款优秀的中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32QBkz.html" rel="bookmark" class="title">史上最全的Java新手问题汇总</a>
					<div>
						Java是目前最流行的编程语言之一--它可以用来编写Windows程序或者是Web应用,移动应用,网络程序,消费电子产品,机顶盒设备,它无处不在. 有超过30亿的设备是运行在Java之上的.根据Ora ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN14Bz.html" rel="bookmark" class="title">uva  540 Team Queue</a>
					<div>
						点击打开链接uva 540 思路: list+map模拟 分析: 1 题目的意思是有n个队伍,每个队伍的人数为m. 2 现在有三种操作,ENQUEUE x是插入x,如果队列里面已经有x这一队的成员那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YaldM.html" rel="bookmark" class="title">正则表达式实例</a>
					<div>
						1,获取引号中的json字符串 Java代码   @Test       public void test_json(){           String input=&quot;\&quot;no ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAXQnM.html" rel="bookmark" class="title">云安全标准待统一</a>
					<div>
						一个使用上网本.用G o o g l eD o c s进行文档处理.娱乐以在线收看视频为主的用户,就算系统崩溃,他的文件和信息还是好端端地存放在网上,几乎感觉不到传统杀毒软件的意义.这就是云计算时代下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXDk6z.html" rel="bookmark" class="title">java-链表插入删除顺序问题</a>
					<div>
						问题描述 链表插入删除顺序问题 Java新手,现在在学习链表,发现链表的插入和删除操作不能很好的掌握,不参考代码不知道先修改哪一个reference,再比如在单链表头插入连接点,代码如下 newLin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm92Vb.html" rel="bookmark" class="title">简单快速的ps照片调色教程</a>
					<div>
						本文章将告诉你用ps的调色功能把你的照片调出自己想的效果图片来,我们下面要讲的就是把普通照片调成黑色哦. 最终效果图片. 原图,好了接着我们来看看是怎么调色出来的吧.打开原图片.   好照片调色就做完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKP63b.html" rel="bookmark" class="title">在虚拟机（vmware）上安装CentOS</a>
					<div>
						第一步是安装虚拟机,这个比较简单就不讲了. 第二步准备CentOS的镜像文件准备安装 第三步安装CentOS: 新建虚拟机 选择自定义配置 选择硬件兼容标准 选择是否让vmware安装操作系统 选择将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZOJKp.html" rel="bookmark" class="title">请问哪位大虾，学。NET开发，有没有必要学有关比如《Windows2003&sol;XP&sol;2000技术内幕》和《Windows程序设计》</a>
					<div>
						问题描述 请问哪位大虾,学.NET开发,有没有必要学有关比如&lt;Windows2003/XP/2000技术内幕&gt;和&lt;Windows程序设计&gt; 解决方案 解决方案二:不用,现用现查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAARgKM.html" rel="bookmark" class="title">大二求挨踢迷茫路</a>
					<div>
						问题描述 先介绍一下基本情况吧.本人大二学生一枚,考的大学不是很好所以游戏氛围很浓厚,从大一的上学期第一门专业课就是C++;当时对于电脑没有深入接触,所以听得满头雾水,当时根本找不到方向...然后下学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW2VEz.html" rel="bookmark" class="title">银监会再出规定 银行理财撤离所有直接股权投资</a>
					<div>
						除了打新股,银行理财资金将撤离所有股权投资. 权威人士透露,银监会正在征求意见的&lt;关于进一步规范商业银行http://www.aliyun.com/zixun/aggregation/12782 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ng5Pz.html" rel="bookmark" class="title">索尼最新版PS3拆分成本曝光每台亏37美元</a>
					<div>
						12月17日消息,美国市场调研机构iSuppli在近日公布了拆解索尼最新一代轻薄版PS3(俗称PS3 Slim)的分析数据,数据显示,该款PS3的部件成本以及制造成本共计336.27美元,而美国的实际 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnlY0M.html" rel="bookmark" class="title">&lbrack;一夕&rsqb;论我国的贫富差异</a>
					<div>
						论我国的贫富差异 [摘要]略 [网名]一夕 [见解]在一些垄断性行业中存在着一种分配秩序的&quot;潜规则&quot;:谁掌握了垄断资源,谁的工资福利就高.待遇就好. [关键字]贫富差异 改革开放  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrj13p.html" rel="bookmark" class="title">谁是胜景山河的合谋者广发中信申万招商均难逃干系</a>
					<div>
						谁是胜景山河的合谋者?答案是申银万国.广发证券.招商证券.安信证券等知名券商. 就在去年12月胜景山河上市前夕被媒体曝出收入利润虚增.高端产品勾兑.虚构行业地位等行为而暂缓上市之时,这些券商用大量的调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2KqYz.html" rel="bookmark" class="title">PHP用DOM方式处理HTML之《Simple HTML DOM》</a>
					<div>
						入门级 simple_html_dom插件 用dom处理html文件的利器 使用: 加载simple_html_dom.php文件 require_once 'simple_html_dom.php' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZyJwz.html" rel="bookmark" class="title">Android开发入门之Service用法分析&lowbar;Android</a>
					<div>
						本文实例讲述了Android中Service用法.分享给大家供大家参考,具体如下: 关于Service的讲解网上已经很多了,这里是关于自己通过写代码Service的一点体会 还有结合其他人对Servi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKgEvM.html" rel="bookmark" class="title">Python的Flask框架中实现登录用户的个人资料和头像的教程&lowbar;python</a>
					<div>
						用户资料页面 在用户资料页面,基本上没有什么特别要强调和介绍的新概念.只需要创建一个含有HTML的新视图函数模板页面即可. 下面是视图函数(项目目录/views.py):   @app.route(' ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.035 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
